<?php include("check.php"); ?>
<?php
    $modificar=false;
    if(isset($_POST['btnModificar'])){
        //*****Conexion a la Base de Datos ***/
        $conexion=mysqli_connect("localhost", "root", "root");
        mysqli_select_db($conexion,"abcphp");

        /**** 
        CONSULTA 
        mysql_real_escape_string, evita las injecciones SQL dañinas.
        ***/
        $consulta=sprintf("SELECT * FROM productos WHERE status=1 AND id_producto='%s'", mysqli_real_escape_string($conexion, $_POST['id_producto']));
        $resultado=mysqli_query($conexion,$consulta);
        $producto=  mysqli_fetch_array($resultado);
        $modificar=true;
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
        <link rel="stylesheet" href="css/style.css" type="text/css" media="screen">
        <title>ABC Matutino</title>
    </head>
    <body>
        <?php include("menu.php") ?>
        <main class="container">
        <div class="bg-light p-5 rounded">
            
            <form method="POST" name="formulario" action="">
                <div class="mb-3">
                    <label class="form-label">Descripción</label>
                    <textarea type="text" class="form-control" placeholder="descripción" rows="3" name="txtDescripcion"/><?php if($modificar){echo $producto['descripcion'];} ?></textarea>
                </div>
                <div class="mb-3">
                    <label class="form-label">Precio</label>
                    <input type="text" class="form-control" placeholder="descripción" name="txtPrecio" value="<?php if($modificar){echo $producto['precio'];} ?>">
                </div>
                <input type="hidden" name="id_producto" value="<?php if($modificar){echo $producto['id_producto'];} ?>" />
                <input type="submit" class="btn btn-primary" name="btnGuardar" value="<?php if($modificar){echo "Modificar";}else{echo "Guardar";} ?>" />
            </form>
            <?php
                if(isset($_POST['btnGuardar'])){
                    $conexion=mysqli_connect("localhost", "root", "root");
                    mysqli_select_db($conexion,"abcphp");
                
                    if(strlen($_POST['id_producto']) > 0){
                        /***  Actualizar Datos ***/
                        $consulta=sprintf("UPDATE productos SET descripcion='%s',precio='%s' WHERE id_producto='%s'",
                            mysqli_real_escape_string($conexion, $_POST['txtDescripcion']),
                            mysqli_real_escape_string($conexion, $_POST['txtPrecio']),
                            mysqli_real_escape_string($conexion, $_POST['id_producto']));
                    }else{           
                        /***** Insertar Nuevo Producto  ***/
                        $consulta=sprintf("INSERT INTO productos(descripcion,precio) VALUES('%s','%s')",
                            mysqli_real_escape_string($conexion, $_POST['txtDescripcion']),
                            mysqli_real_escape_string($conexion, $_POST['txtPrecio']));  
                    }

                    mysqli_query($conexion,$consulta);
                    echo "<div class='alert alert-primary'><div id='mensaje'>Producto Guardado.</div></div>";
                }
            ?>
        </div>
        </main>
    </body>
</html>
