<?php include("check.php"); ?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
        <link rel="stylesheet" href="css/style.css" type="text/css" media="screen">
        <title>ABC Matutino</title>
    </head>
    <body>
        <?php include("menu.php") ?>
        <main class="container">
        <div class="bg-light p-5 rounded">
            <?php
                //*****Conexion a la Base de Datos ***/
                $conexion=mysqli_connect("localhost", "root", "root");
                mysqli_select_db($conexion,"abcphp");
                
                if(isset($_POST['btnEliminar'])){
                    
                    $consulta_eliminar=sprintf("UPDATE productos SET status=2 WHERE id_producto='%s'",
                        mysqli_real_escape_string($conexion, $_POST['id_producto'])); 
                    mysqli_query($conexion,$consulta_eliminar);      
                                                            
                    echo "<div id='mensaje'>Producto Eliminado</div>";
                }

                if(isset($_POST['btnBuscar'])){
                    $consulta_buscar=sprintf("SELECT * FROM productos WHERE descripcion LIKE '%%%s%%' AND status=1",
                        mysqli_real_escape_string($conexion, $_POST['txtProducto']));                           
                    $resultado=mysqli_query($conexion,$consulta_buscar);
                    echo "<div id='mensaje'>Buscando:  ".$_POST['txtProducto']."</div>";   
                }else{
                    $consulta="SELECT * FROM productos WHERE status=1";                    
                    $resultado=mysqli_query($conexion,$consulta);                                                
                }

                
            ?>
            <form action="" method="POST">
                <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="buscar" name="txtProducto">
                    <button class="btn btn-primary" type="submit" name="btnBuscar">Buscar</button>
                </div>
            </form>
            <br>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Descripcion</th>
                        <th>Precio</th>
                        <th>Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        while($fila=mysqli_fetch_array($resultado)){
                    ?>
                    <tr>
                        <td><?php echo $fila['descripcion']; ?></td>
                        <td><?php echo $fila['precio'];?></td>
                        <td width="200">
                            <form action="" method="POST" style="display: inline">
                                <input type="hidden" name="id_producto" value="<?php echo $fila['id_producto']; ?>" />
                                <input type="submit" class="btn btn-primary btn-sm" name="btnEliminar" value="Eliminar">
                            </form>
                            <form action="producto_agregar.php" method="POST" style="display: inline">
                                <input type="hidden" name="id_producto" value="<?php echo $fila['id_producto']; ?>" />
                                <input type="submit" class="btn btn-primary btn-sm" name="btnModificar" value="Modificar">
                            </form>
                        </td>
                    </tr>
                    <?php
                        }
                    ?>
                </tbody>
            </table>
        </div>
        </main>
    </body>
</html>
